API per partner (B2B)
Paesi
GET /b2b/v1/countries — list countries that have products on sale, with Korean or English names.
On this page
Request#
GET
/b2b/v1/countriescurl "https://api.esimoa.com/b2b/v1/countries?lang=en" \
-H "X-API-Key: $ESIMOA_PARTNER_KEY"const res = await fetch('https://api.esimoa.com/b2b/v1/countries?lang=en', {
headers: { 'X-API-Key': process.env.ESIMOA_PARTNER_KEY },
});
const { data: countries } = await res.json();res = requests.get(
"https://api.esimoa.com/b2b/v1/countries",
params={"lang": "en"},
headers={"X-API-Key": os.environ["ESIMOA_PARTNER_KEY"]},
timeout=10,
)
countries = res.json()["data"]Query parameters#
| Parametro | Tipo | Descrizione |
|---|---|---|
lang | 'ko' | 'en' | Lingua dei nomi dei paesi (predefinita ko) |
Risposta#
200 OKjson
{
"success": true,
"data": [
{ "countryCode": "AU", "name": "Australia", "planCount": 64 },
{ "countryCode": "JP", "name": "Japan", "planCount": 128 }
]
}| Campo | Tipo | Descrizione |
|---|---|---|
countryCode | string | Codice paese ISO 3166-1 alpha-2 |
name | string | Nome del paese (in lang) |
planCount | integer? | Numero di prodotti in vendita — omesso se sconosciuto |
L’elenco è ordinato per nome del paese nella lingua richiesta. Sono esclusi i paesi senza prodotti e i prodotti multipaese: trova i prodotti multipaese con isMultiCountry=true nella ricerca prodotti.
